//A3111.ino  Surveille 2 poussoirs et clignote selon
#define bP1 2 // bit 2 sur PORTD
#define bP2 3
#define MaskPous ((1<<bP1) | (1<<bP2))
#define bL1 4  // rouge top
#define bL2 5  // vert top
#define bL3 6  // vert bottom
#define bL4 7
byte maskLedOn =(1<<bL1);  // masque initial, on le changera

byte nowPous, prevPous, diffPous; // variables globales
byte cntCli=10;  // demi-periode clignotement 10x20ms

void setup () {
  DDRD = (1<<bL1)|(1<<bL2)|(1<<bL3)|(1<<bL4);
  prevPous = PIND & MaskPous;
}

void loop () {
  delay (20);
  if (cntCli-- == 0) {
    cntCli=10;
    PORTD ^= maskLedOn;  // inverse les leds sélectionnées
  }
  nowPous = PIND & MaskPous;  
  diffPous = nowPous ^ prevPous ; // bits différents?
  prevPous = nowPous;   //mise à jour pour le prochain cycle
  if (diffPous != 0) {   // si différence
    if (diffPous & (1<<bP1)) {
       maskLedOn =(1<<bL2);
    }
    if (diffPous & (1<<bP2)) {
       maskLedOn = (1<<bL3);
    }
    PORTD = 0;  // pourquoi?
  }
}


